config/routes.rb
# frozen_string_literal: true

require 'avalon/routing/can_constraint'

Rails.application.routes.draw do
  mount Samvera::Persona::Engine => '/'
  mount Blacklight::Engine => '/catalog'
  concern :searchable, Blacklight::Routes::Searchable.new
  concern :exportable, Blacklight::Routes::Exportable.new

  resource :catalog, only: [:index], as: 'catalog', path: '/catalog', controller: 'catalog' do
    concerns :searchable
  end

  # For some reason this needs to be after `resource :catalog` otherwise Blacklight will generate links to / instead of /catalog
  root to: "catalog#index"

  get '/mejs/:version', to: 'application#mejs'

  resources :solr_documents, only: [:show], path: '/catalog', controller: 'catalog' do
    concerns :exportable
  end

  resources :encode_records, only: [:show, :index] do
    collection do
      post :paged_index
      post :progress
    end
  end

  resources :checkouts, only: [:index, :create, :show, :update, :destroy], :constraints => lambda { |request| Avalon::Configuration.controlled_digital_lending_enabled? } do
    collection do
      patch :return_all
    end

    member do
      patch :return
    end
  end

  resources :bookmarks do
    concerns :exportable

    collection do
      delete 'clear'
      get 'delete'#, as: :delete_bookmarks
      post 'delete'
      get 'move'#, as: :move_bookmarks
      post 'move'
      get 'update_access_control'#, as: :update_access_control_bookmarks
      post 'update_access_control'
      post 'publish'#, as: :publish_bookmarks
      post 'unpublish'#, as: :unpublish_bookmarks
      get 'add_to_playlist'
      post 'add_to_playlist'
      get 'intercom_push'
      post 'intercom_push'
      get 'merge'
      post 'merge'
      get 'count', constraints: { format: 'json' }
    end
  end

  devise_for :users, controllers: { omniauth_callbacks: 'users/omniauth_callbacks', sessions: 'users/sessions' }
  devise_scope :user do
    Avalon::Authentication::Providers.collect { |provider| provider[:provider] }.uniq.each do |provider_name|
      match "/users/auth/#{provider_name}/callback", to: "users/omniauth_callbacks##{provider_name}", as: "user_omniauth_callback_#{provider_name}".to_sym, via: [:get, :post]
    end
  end

  mount BrowseEverything::Engine => '/browse'

  # Avalon routes
  match "/authorize", to: 'derivatives#authorize', via: [:get, :post]
  match "/authorize/:path", to: 'derivatives#authorize', via: [:get, :post]

  namespace :admin do
    resources :groups, except: [:show] do
      collection do
        put 'update_multiple'
      end
      member do
        put 'update_users'
      end
    end
    resources :collections do
      member do
        get 'edit'
        get 'remove'
        get 'items'
        get 'poster'
        post 'poster', action: :attach_poster, as: 'attach_poster'
        delete 'poster', action: :remove_poster, as: 'remove_poster'
      end
    end

    namespace :migration_report, controller: '/migration_status' do
      get '/', action: :index
      get ':class', action: :show, as: 'by_class'
      get ':id/detail', action: :detail, as: 'detail'
      get ':id/report', action: :report, as: 'report'
    end
  end

  resources :vocabulary, except: [:create, :destroy, :new, :edit]

  resources :collections, only: [:index, :show] do
    member do
      get :poster
    end
  end

  resources :media_objects, except: [:create, :update] do
    member do
      put :update, action: :update, defaults: { format: 'html' }, constraints: { format: 'html' }
      put :update, action: :json_update, constraints: { format: 'json' }
      patch :update, action: :update, defaults: { format: 'html' }, constraints: { format: 'html' }
      put :update_status
      get :progress, :action => :show_progress
      get 'content/:file', :action => :deliver_content, :as => :inspect
      get 'track/:part', :action => :show, :as => :indexed_section
      get 'section/:content', :action => :show, :as => :id_section
      get 'section/:content/stream', :action => :show_stream_details, :as => :section_stream
      get 'section/:content/embed', :to => redirect('/master_files/%{content}/embed')
      get 'tree', :action => :tree, :as => :tree
      get :confirm_remove
      post :add_to_playlist
      patch :intercom_push
      get :manifest
      get :move_preview, defaults: { format: 'json' }, constraints: { format: 'json' }
    end
    collection do
      post :create, action: :create, constraints: { format: 'json' }
      post :set_session_quality
      get :confirm_remove
      put :update_status
      # 'delete' has special signifigance so use 'remove' for now
      delete :remove, :action => :destroy
      get :intercom_collections
    end

    # Supplemental Files
    resources :supplemental_files, except: [:new, :index, :edit] do
      get :index, constraints: { format: 'json' }, on: :collection
    end
  end

  resources :master_files, except: [:new, :index] do
    member do
      get  'thumbnail', :to => 'master_files#get_frame', :defaults => { :type => 'thumbnail' }
      get  'poster',    :to => 'master_files#get_frame', :defaults => { :type => 'poster' }

      post 'thumbnail', :to => 'master_files#set_frame', :defaults => { :type => 'thumbnail', :format => 'html' }
      post 'poster',    :to => 'master_files#set_frame', :defaults => { :type => 'poster', :format => 'html' }
      post 'still',     :to => 'master_files#set_frame', :defaults => { :format => 'html' }
      get :embed
      post 'attach_structure'
      get :captions
      get :waveform
      match ':quality.m3u8', to: 'master_files#hls_manifest', via: [:get], as: :hls_manifest
      get 'structure', to: 'master_files#structure', constraints: { format: 'json' }
      post 'structure', to: 'master_files#set_structure', constraints: { format: 'json' }
      delete 'structure', to: 'master_files#delete_structure', constraints: { format: 'json' }
      post 'move'
      get 'transcript/:t_id', to: 'master_files#transcript'
      get :search
      
      if Settings.derivative.allow_download
        get :download_derivative
      end
    end

    # Supplemental Files
    resources :supplemental_files, except: [:new, :index, :edit] do
      member do
        get 'captions'
        get 'transcripts', :to => redirect('/master_files/%{master_file_id}/supplemental_files/%{id}')
      end
      get :index, constraints: { format: 'json' }, on: :collection
    end
  end

  match "iiif_auth_token/:id", to: 'master_files#iiif_auth_token', via: [:get], as: :iiif_auth_token

  resources :derivatives, only: [:create]
  match "/autocomplete", to: 'objects#autocomplete', via: [:get]
  match "/objects/:id", to: 'objects#show', via: [:get], :as => :objects
  match "/object/:id", to: 'objects#show', via: [:get]

  resources :playlists do
    resources :playlist_items, path: 'items', only: [:create, :update, :show] do
      get 'related_items'
    end
    member do
      patch 'update_multiple'
      delete 'update_multiple'
      patch 'regenerate_access_token'
      get 'refresh_info'
      get 'manifest'
    end
    collection do
      post 'duplicate'
      post 'paged_index'
      if Settings['variations'].present?
        post 'import_variations_playlist'
      end
    end
  end

  resources :avalon_marker, only: [:create, :show, :update, :destroy]

  resources :comments, only: [:index, :create]

  resources :playlist_items, only: [:update], :constraints => {:format => /(js|json)/}

  resources :timelines do
    member do
      patch 'regenerate_access_token'
      post 'manifest', to: 'timelines#manifest_update', constraints: { format: 'json' }
      get 'manifest'
    end
    collection do
      post 'duplicate'
      post 'paged_index'
      if Settings['variations'].present?
        post 'import_variations_timeline'
      end
    end
  end
  get '/timeliner', to: 'timelines#timeliner', as: :timeliner

  resources :dropbox, :only => [] do
    collection do
      delete :bulk_delete
    end
  end

  match "/oembed", to: 'master_files#oembed', via: [:get]

  constraints(Avalon::Routing::CanConstraint.new(:read, :about_page)) do
    mount AboutPage::Engine => '/about(.:format)', as: 'about_page'
  end
  get '/about(.:format)', to: redirect('/')
  get '/about/health.yaml', to: 'about_page/about#health', defaults: { :format => 'yaml' }
  get '/about/health(.:format)', to: redirect('/')

  constraints(Avalon::Routing::CanConstraint.new(:manage, :jobs)) do
    mount Sidekiq::Web, at: '/jobs', as: 'jobs'
  end
  get '/jobs(.:format)', to: redirect('/')

  scope :persona, as: 'persona' do
    resources :users, only: [:paged_index], controller: 'samvera/persona/users' do
      collection do
        post 'paged_index'
      end
    end
  end
end

app/helpers/catalog_helper.rb
# Copyright 2011-2024, The Trustees of Indiana University and Northwestern
#   University.  Licensed under the Apache License, Version 2.0 (the "License");
#   you may not use this file except in compliance with the License.
# 
# You may obtain a copy of the License at
# 
# http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software distributed
#   under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
#   CONDITIONS OF ANY KIND, either express or implied. See the License for the
#   specific language governing permissions and limitations under the License.
# ---  END LICENSE_HEADER BLOCK  ---

module CatalogHelper
  include Blacklight::CatalogHelperBehavior

  def current_sort_field
    actualSort = @response.sort if (@response and @response.sort.present?)
    actualSort ||= params[:sort]
    blacklight_config.sort_fields[actualSort] || default_sort_field
  end

  def display_found_in(document)
    metadata_count = document.to_h.sum {|k,v| k =~ /metadata_tf_/ ? v : 0 }
    transcript_count = document["sections"]["docs"].sum { |d| Array(d.dig("transcripts", "docs")).sum {|s| s.sum {|k,v| k =~ /transcript_tf_/ ? v : 0 }}}
    section_count = document.to_h.sum {|k,v| k =~ /structure_tf_/ ? v : 0 }

    metadata = "metadata (#{metadata_count})" if metadata_count > 0
    transcript = "transcript (#{transcript_count})" if transcript_count > 0
    sections = "sections (#{section_count})" if section_count > 0

    [metadata, transcript, sections].compact.join(', ')
  end
end

app/views/catalog/_document_list.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<% # container for all documents in index list view -%>
<% view_config = local_assigns[:view_config] || blacklight_config&.view_config(document_index_view_type) %>
<div id="documents" class="documents-<%= document_index_view_type %>">
  <% if render_bookmarks_control? && documents.count>1 %> 
    <%= render "select_all" %>
  <% end %>
  <%= render documents, as: :document, view_config: view_config %>
</div>

app/views/catalog/_facet_group.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<% # main container for facets/limits menu -%>
<% if has_facet_values? facet_field_names(groupname) %>
<div id="facets<%= "-#{groupname}" unless groupname.nil? %>" class="facets sidenav">

  <div class="top-panel-heading card-header">
    <button type="button" class="navbar-toggler facets-toggle float-right desktop-hidden" data-toggle="collapse" href="#facet-panel<%= "-#{groupname}" unless groupname.nil? %>-collapse" aria-expanded="true" >
      <span class="navbar-toggler-icon"></span>
    </button>

  <h2>
  	<%= groupname.blank? ? t('blacklight.search.facets.title') : t("blacklight.search.facets-#{groupname}.title", default: groupname.titleize) %>
  </h2>
    </div>

  <div id="facet-panel<%= "-#{groupname}" unless groupname.nil? %>-collapse" class="collapse facet-group">
  <%= render_facet_partials facet_field_names(groupname) %>
</div>
</div>
<% end %>

app/views/catalog/_facet_pagination.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<div class="prev_next_links btn-group">
  <%= link_to_previous_page @pagination, raw(t('views.pagination.previous')), params: search_state.to_h, param_name: blacklight_config.facet_paginator_class.request_keys[:page], class: 'btn btn-link', data: { blacklight_modal: "preserve" } do %>
    <%= content_tag :span, raw(t('views.pagination.previous')), class: 'disabled btn btn-disabled' %>
  <% end %>

  <%= link_to_next_page @pagination, raw(t('views.pagination.next')), params: search_state.to_h, param_name: blacklight_config.facet_paginator_class.request_keys[:page], class: 'btn btn-link',  data: { blacklight_modal: "preserve" } do %>
    <%= content_tag :span, raw(t('views.pagination.next')), class: 'disabled btn btn-disabled' %>
  <% end %>
</div>

<div class="sort_options btn-group">
  <% if @pagination.sort == 'index' -%>
    <span class="active az btn btn-primary"><%= t('blacklight.search.facets.sort.index') %></span>
    <%= link_to(t('blacklight.search.facets.sort.count'), @pagination.params_for_resort_url('count', search_state.to_h), class: "sort_change numeric btn btn-outline", data: { blacklight_modal: "preserve" }) %>
  <% elsif @pagination.sort == 'count' -%>
    <%=  link_to(t('blacklight.search.facets.sort.index'), @pagination.params_for_resort_url('index', search_state.to_h), class: "sort_change az btn btn-outline",  data: { blacklight_modal: "preserve" }) %>
    <span class="active numeric btn btn-primary"><%= t('blacklight.search.facets.sort.count') %></span>
  <% end -%>
</div>

app/views/catalog/_facets.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<% facet_group_names.each do |groupname| %>
  <%= render partial: "facet_group", locals: {groupname: groupname} %>
<% end %>

app/views/catalog/_home_text.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<h2 id="featured_content_header">Sample Content</h2>
<div id="featured_content" class="row">
  <div class="col-md-4">
    <h4>Featured Collection</h4>
    <a href="#">
      <%= image_tag "Nutcracker-Ballet.png", alt: "Featured Collection" %>
    </a>
  </div>
  <div class="col-md-4">
    <h4>Featured Video</h4>
     <a href="#">
        <%= image_tag "Charlie-McCarthy.png", alt: "Featured Collection" %>
      </a>
  </div>
  <div class="col-md-4">
    <h4>Featured Audio</h4>
    <a href="#">
      <%= image_tag "Chucky-Lou.png", alt: "Featured Collection" %></a></li>
  </div>
</div>
<h4>Using the System</h4>

<p>Avalon houses audio and video collections. Use the search box, or browse using the terms on the left side to discover content. Some content is only available when you sign in.  Sign in with your ID and passphrase.</p>

app/views/catalog/_index_header_media_object.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<%# header bar for doc items in index view -%>
<div class="documentHeader row col-sm-12">
  <%# main title container for doc partial view
      How many bootstrap columns need to be reserved
      for bookmarks control depends on size.
  -%>
  <% document_actions = capture do %>
    <% # bookmark functions for items/docs -%>
    <%= render_index_doc_actions document, wrapping_class: "index-document-functions col-sm-3 col-lg-2" %>
  <% end %>

  <h3 class="index_title document-title-heading <%= document_actions.present? ? "col-sm-9 col-lg-10" : "col-md-12" %>">
    <% if counter = document_counter_with_offset(document_counter) %>
      <span class="document-counter">
        <%= t('blacklight.search.documents.counter', counter: counter) %>
      </span>
    <% end %>
    <%= link_to_document document, search_result_label(document), counter: counter %>
  </h3>

  <%= document_actions %>
</div>

app/views/catalog/_index_media_object.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<%# TODO: Use new Blacklight::DocumentMetadataComponent instead of overriding this view  %>
<% doc_presenter = document_presenter(document) %> 
<%# default partial to display solr document fields in catalog index view %>
<dl class="document-metadata row dl-invert col-md-12 col-lg-8">
  <% doc_presenter.field_presenters.each do |field_presenter| %>
    <% if field_presenter.render_field? %>
      <dt class="blacklight-<%= field_presenter.key %> col-sm-12"><%= field_presenter.label %>:</dt>
      <dd class="blacklight-<%= field_presenter.key %> col-sm-12"><%= field_presenter.values.join(', ') %></dd>
    <% end %>
  <% end %>
  <% if params[:q].present? && (found_in_hits = display_found_in(doc_presenter.document)).present? %>
    <dt class="blacklight-found_in col-sm-3">Found in:</dt>
    <dd class="blacklight-found_in col-sm-9"><%= found_in_hits %></dd>
  <% end %>
</dl>

app/views/catalog/_select_all.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<% # container for select_all bookmarks button -%>

<% if current_or_guest_user %>
  <div class="col-sm-3 offset-9 col-lg-3 offset-lg-9 text-right">
      <% all_selected = @response.documents.all? do |d|
           current_or_guest_user.bookmarks.where({ document_id: d.id }).exists?
         end %>
      <%= check_box_tag('bookmarks_selectall', '', all_selected) %>
      <%= label_tag 'bookmarks_selectall', t('blacklight.bookmarks.addall.button'), class: 'font-weight-bold' %>
  </div>
<% end %>

<% content_for :page_scripts do %>
<script>
  // Disable 'Select All' to prevent collision between select
  // and deselect POST requests while the page is getting updated
  $('#bookmarks_selectall').on('click', function () {
    if(!<%= all_selected %>) {
      $('#bookmarks_selectall')[0].disabled = true;
    }
  });
  // Fetch total bookmarks count after all POST requests for each document 
  // finishes. And update 'Selected Items' count in the nav bar
  $(document).ajaxStop(function() {
    fetch('/bookmarks/count.json')
      .then(response => response.json())
      .then(data => {
        $("span[data-role='bookmark-counter']").text(data['count']);
        $('#bookmarks_selectall')[0].disabled = false;
      });
  });
</script>
<% end %>

app/views/catalog/_thumbnail_media_object.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>

<div class="col-md-12 col-lg-4 row">
  <% if image_url = image_for(document) %>
    <%= link_to(media_object_path(document[:id]), aria: { hidden: 'true'}, tabindex: -1, class: 'result-thumbnail') do %>
      <%= image_tag( image_url, alt: "" ) %>
    <% end %>
  <% else %>
    <%= image_tag 'no_icon.png', alt: "", class: 'result-thumbnail no-icon' %>
  <% end %>
</div>

app/views/catalog/index.html.erb
<%#
Copyright 2011-2024, The Trustees of Indiana University and Northwestern
  University.  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.

You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed
  under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
  CONDITIONS OF ANY KIND, either express or implied. See the License for the
  specific language governing permissions and limitations under the License.
---  END LICENSE_HEADER BLOCK  ---
%>
<% if current_page?(main_app.root_path) %>
  <div class="homepage-splash-wrapper">
    <section class="">
      <div class="homepage-splash-search container-md w-100">
        <%= render :partial=>'modules/msul_avalon_search_form' %>
      </div>

    </section>

    <% if @featured_collection.present? %>
    <section class="homepage-splash-featured-collection">
      <div>
        <%= image_tag poster_collection_url(@featured_collection.id), class: "homepage-featured-collection-image" %>
      </div>
      <div class="homepage-splash-featured-collection-content">
        <h3 class="serif-font">featured collection</h3>
        <h2><%= @featured_collection.name %></h2>
        <p><%= @featured_collection.description %></p>
        <a href="<%= collection_url(@featured_collection.id) %>" class="btn btn-outline">View Collection</a>
      </div>
    </section>
    <% end %>

    <% if Settings.home_page&.carousel_collections&.present? %>
    <section class="homepage-splash-collections">
      <div class="container">
        <h3 class="homepage-splash-collections-title serif-font"><a href="<%= collections_url %>">view all collections</a>
        </h3>
      </div>
      <div class="container-fluid">
        <%= react_component("CollectionCarousel", { baseUrl: collections_url(format: :json, only: :carousel, limit: 10) }) %>
      </div>
    </section>
    <% end %>
  </div>
<% else %>
  <div class="row">
    <div id="sidebar" class="<%= sidebar_classes %>">
      <%= render 'search_sidebar' %>
    </div>

    <div id="content" class="<%= main_content_classes %>">
      <%= render 'constraints' %>
      <%= render 'search_results' %>
    </div>
  </div>
<% end %>